|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QMenuItem Class Reference
[QtGui module]

The QMenuItem class represents an item in a menu. More...

     #include <QMenuItem>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits QAction.

- List of all members, including inherited members
- Qt 3 support members

### Additional Inherited Members

- 15 properties inherited from QAction
- 1 property inherited from QObject
- 42 public functions inherited from QAction
- 29 public functions inherited from QObject
- 7 public slots inherited from QAction
- 1 public slot inherited from QObject
- 4 signals inherited from QAction
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QMenuItem class represents an item in a menu.

Use QAction instead.

## Member Function Documentation

### QMenuItem::QMenuItem ()

Constructs a new menu item.

### int QMenuItem::id () const

Returns the menu item's ID.

### int QMenuItem::signalValue () const

Returns the signal value for the menu item.